Bug 1901219 (CVE-2020-9952)

Summary: CVE-2020-9952 webkitgtk: input validation issue may lead to a cross site scripting
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: erack, gnome-sig, mcatanza, tpopela
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: webkitgtk 2.28.3 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-12-16 22:18:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1901220, 2000358    
Bug Blocks: 1901223    

Description Guilherme de Almeida Suckevicz 2020-11-24 18:34:05 UTC
A flaw was found in WebKitGTK. An input validation issue was addressed with improved input validation. Processing maliciously crafted web content may lead to a cross site scripting attack.

Reference:
https://webkitgtk.org/security/WSA-2020-0008.html

Comment 1 Guilherme de Almeida Suckevicz 2020-11-24 18:34:19 UTC
Created webkit2gtk3 tracking bugs for this issue:

Affects: fedora-all [bug 1901220]

Comment 2 Todd Cullum 2020-12-16 19:43:41 UTC
Statement:

webkit2gtk3 as shipped with Red Hat Enterprise Linux 8 is not affected by this flaw, as the version shipped is newer than the affected version range.

Comment 3 Product Security DevOps Team 2020-12-16 22:18:15 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-9952

Comment 5 Todd Cullum 2021-09-01 23:34:06 UTC
Added to erratum: https://access.redhat.com/errata/RHSA-2020:4451